For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deprecated Product Offerings

Legacy product offering endpoints (deprecated).

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
userIdstringOptional
categorystring[]OptionalExample: ["POD_SHOP","APPAREL","EQUIPMENT"]
Responses
200

Returns a ProductOfferingCollection

application/json
_totalnumberRequired
get/product-offerings
GET /apis/v2/product-offerings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a ProductOfferingCollection

{
  "items": [
    {
      "id": "text",
      "product": {
        "id": "text",
        "sku": "text",
        "name": "text",
        "description": "text",
        "type": "LIFESTYLE",
        "picture": {
          "small": {
            "href": "text"
          },
          "medium": {
            "href": "text"
          },
          "large": {
            "href": "text"
          }
        },
        "price": 1,
        "areas": {
          "items": [
            "text"
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "_links": {}
      },
      "areas": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "discount": {
        "amount": 1,
        "description": "text"
      },
      "tax": {
        "amount": 1,
        "description": "text"
      },
      "subtotal": 1,
      "total": 1,
      "user": {
        "id": "text"
      },
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?